Bug 41883 (mabMinGW) - MinGW port Most Annoying Bugs
Summary: MinGW port Most Annoying Bugs
Status: CLOSED WONTFIX
Alias: mabMinGW
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 41887 41985 42027 42089 42615 43246 43298 43315 44489 47548 51469 63669
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-17 06:25 UTC by Jan Holesovsky
Modified: 2014-07-08 16:21 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2011-10-17 06:25:23 UTC
This is the Meta bug to track most annoying bugs of the MinGW build on Windows. It helps developers to concentrate on bugs that are important for the release of the MinGW port. Also it helps users to be aware of potential problems.

If anyone wants to raise a Bug for the release, please add the Bug ID as
dependent Bug here to the Meta Bug in field "Depends on". Additionally please
leave a comment here why you think that the bug should be privileged.

*IMPORTANT* Before adding a bug here, please check that it is MinGW-specific bug, ie. you see it only in the MinGW daily builds (available from the address below), but in no other ones.

http://dev-builds.libreoffice.org/daily/MinGW_cross-compilation/master/
Comment 1 Rainer Bielefeld Retired 2011-10-19 01:36:41 UTC
Nominating "Bug 41985 - MinGW: UI display broken". We have some UI problems making that version more or less unusable.
Comment 2 Rainer Bielefeld Retired 2011-10-19 03:38:59 UTC
@Kendy:
Everything is clear, I simply correct a bureaucratic issue
Comment 3 Rainer Bielefeld Retired 2011-11-05 01:52:21 UTC
Nominate "Bug 42615 - MinGW Virus Alert: Bitdefender detects trojan"
Comment 4 Rainer Bielefeld Retired 2011-11-14 13:27:14 UTC
Nominated "Bug 42027 - MinGW: Desktop Icon "Installer" instead of LibO, all icons missing in executables"
Comment 5 Rainer Bielefeld Retired 2011-11-25 09:40:00 UTC
Nominate "Bug 43246 - MinGW FILEOPEN FILESAVE: General Error message"
Comment 6 Rainer Bielefeld Retired 2011-11-25 23:22:43 UTC
Nominate "Bug 41456 - MinGW SPELL: Does not work at all", what has been fixed for MSVC
Comment 7 Rainer Bielefeld Retired 2011-11-26 08:14:37 UTC
Nominate "Bug 34721 - MinGW FILEOPEN impossible for particular SVG"
Comment 8 Lionel Elie Mamane 2011-11-28 04:50:55 UTC
Nominate bug 43298 "cannot open MS Access (.mdb) files"
Comment 9 Petr Mladek 2011-11-28 05:24:06 UTC
(In reply to comment #5)
> Nominate "Bug 43246 - MinGW FILEOPEN FILESAVE: General Error message"

Makes sense => added
Comment 10 Rainer Bielefeld Retired 2011-11-28 10:38:24 UTC
Nominate "Bug 43315 - MinGW: No User interface at all in applications". Build can not be used.
Comment 11 Rainer Bielefeld Retired 2012-01-05 03:07:23 UTC
Nominate "Bug 44489 - MinGW: Will not launch". That's annoying because MinGW is the only possibility to get current WIN master Builds
Comment 12 Rainer Bielefeld Retired 2012-01-23 10:22:52 UTC
I add "Bug 44489 - MinGW: Will not launch"
Comment 13 Rainer Bielefeld Retired 2012-03-20 00:08:39 UTC
Add "Bug 47548 - [MinGW] build will not launch"
Comment 14 Rainer Bielefeld Retired 2012-09-01 07:34:14 UTC
Add "Bug 51469 - MinGW: particular Mouse pointers missing for hyperlink, drag and drop and others"
Comment 15 Rainer Bielefeld Retired 2013-04-18 06:19:32 UTC
I add "Bug 63669 - MinGW: Tinderbox @7 does not deliver 4.1 Master builds", delivery broken again!
Comment 16 Thomas Arnhold 2014-06-15 20:28:42 UTC
Jan, can I close those MinGW bug reports an WONTFIX?
Comment 17 Jan Holesovsky 2014-06-17 04:24:24 UTC
Thomas: Please do close the MinGW-related reports, yes.

The MinGW port is dead, there is no need for that any more - our normal Windows build became pretty reliable & easy to set up in the meantime, so I have no motivation to maintain the MinGW port :-)